Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1262553 - [abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by SIGSEGV
Summary: [abrt] libgnomekbd: xkl_engine_constructor(): gkbd-keyboard-display killed by...
Keywords:
Status: CLOSED DUPLICATE of bug 1256443
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomekbd
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f63e3a62f01d9df716c532b3932...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-12 18:02 UTC by Christian Stadelmann
Modified: 2016-09-28 20:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 20:07:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: exploitable (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: maps (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: namespaces (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: open_fds (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2015-09-12 18:02 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2015-09-12 18:02:13 UTC
Version-Release number of selected component:
libgnomekbd-3.6.0-8.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l 'de\tnodeadkeys'
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 xkl_engine_constructor at xklavier.c:669
 #1 g_object_new_with_custom_constructor at gobject.c:1698
 #2 g_object_new_internal at gobject.c:1778
 #3 g_object_new_valist at gobject.c:2039
 #5 xkl_engine_get_instance at xklavier.c:231

Potential duplicate: bug 1203857

Comment 1 Christian Stadelmann 2015-09-12 18:02:16 UTC
Created attachment 1072719 [details]
File: backtrace

Comment 2 Christian Stadelmann 2015-09-12 18:02:17 UTC
Created attachment 1072720 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2015-09-12 18:02:18 UTC
Created attachment 1072721 [details]
File: dso_list

Comment 4 Christian Stadelmann 2015-09-12 18:02:20 UTC
Created attachment 1072722 [details]
File: exploitable

Comment 5 Christian Stadelmann 2015-09-12 18:02:21 UTC
Created attachment 1072723 [details]
File: limits

Comment 6 Christian Stadelmann 2015-09-12 18:02:22 UTC
Created attachment 1072724 [details]
File: maps

Comment 7 Christian Stadelmann 2015-09-12 18:02:24 UTC
Created attachment 1072725 [details]
File: namespaces

Comment 8 Christian Stadelmann 2015-09-12 18:02:25 UTC
Created attachment 1072726 [details]
File: open_fds

Comment 9 Christian Stadelmann 2015-09-12 18:02:26 UTC
Created attachment 1072727 [details]
File: proc_pid_status

Comment 10 Kamil Páral 2015-12-15 12:26:08 UTC
Another user experienced a similar problem:

I tried to show display layout from gnome-shell's top bar. It crashes every time, for all layouts.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l 'us\tcz_sk_de'
crash_function: xkl_engine_constructor
executable:     /usr/bin/gkbd-keyboard-display
global_pid:     8451
kernel:         4.2.6-301.fc23.x86_64
package:        libgnomekbd-3.6.0-8.fc23
reason:         gkbd-keyboard-display killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 11 Christian Stadelmann 2016-09-28 20:07:47 UTC

*** This bug has been marked as a duplicate of bug 1256443 ***


Note You need to log in before you can comment on or make changes to this bug.